org.eclipse.cdt.utils.debug.tools

## Class DebugSymsRequestor

- java.lang.Object
- - org.eclipse.cdt.utils.debug.tools.DebugSymsRequestor

All Implemented Interfaces:
  IDebugEntryRequestor

    public class DebugSymsRequestor
    extends Object
    implements IDebugEntryRequestor

DebugSymsRequestor

### Constructor Summary

Constructors
Constructor and Description
`DebugSymsRequestor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `acceptCaughtException(String name, DebugType type, long address)` Caught Exception.
`void` `acceptFloatConst(String name, double value)` floating point constant.
`void` `acceptIntegerConst(String name, int value)` Integer constant.
`void` `acceptParameter(String name, DebugType type, DebugParameterKind kind, long offset)` Accept a parameter for the current function.
`void` `acceptStatement(int line, long address)` Statement in the compilation unit with a given address.
`void` `acceptTypeConst(String name, DebugType type, int value)` Type constant: "const b = 0", b is a type enum.
`void` `acceptTypeDef(String name, DebugType type)` Type definition.
`void` `acceptVariable(String name, DebugType type, DebugVariableKind kind, long address)` Record a variable.
`void` `enterCodeBlock(long offset)` Enter a code block in a function.
`void` `enterCompilationUnit(String name, long address)` Entering a compilation unit.
`void` `enterFunction(String name, DebugType type, boolean isGlobal, long address)` Enter a function.
`void` `enterInclude(String name)` Entering new include file in a compilation unit.
`void` `exitCodeBlock(long offset)` Exit of the current code block.
`void` `exitCompilationUnit(long address)` Exit the current compilation unit.
`void` `exitFunction(long address)` Exit the current function.
`void` `exitInclude()` Exit the current include file.
`DebugSym[]` `getEntries()`
`DebugSym` `getEntry(long addr)`
`DebugSym[]` `getSortedEntries()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DebugSymsRequestor

    public DebugSymsRequestor()

### Method Detail

#### getSortedEntries

    public DebugSym[] getSortedEntries()

#### getEntries

    public DebugSym[] getEntries()

#### getEntry

    public DebugSym getEntry(long addr)

#### enterCompilationUnit

    public void enterCompilationUnit(String name,
                                     long address)

Description copied from interface: `IDebugEntryRequestor`
Entering a compilation unit.

Specified by:
  `enterCompilationUnit` in interface `IDebugEntryRequestor`
  `address` - start of address of the cu.

#### exitCompilationUnit

    public void exitCompilationUnit(long address)

Description copied from interface: `IDebugEntryRequestor`
Exit the current compilation unit.

Specified by:
  `exitCompilationUnit` in interface `IDebugEntryRequestor`
Parameters:
  `address` - end of compilation unit.

#### enterInclude

    public void enterInclude(String name)

Description copied from interface: `IDebugEntryRequestor`
Entering new include file in a compilation unit.

Specified by:
  `enterInclude` in interface `IDebugEntryRequestor`

#### exitInclude

    public void exitInclude()

Description copied from interface: `IDebugEntryRequestor`
Exit the current include file.

Specified by:
  `exitInclude` in interface `IDebugEntryRequestor`

#### enterFunction

    public void enterFunction(String name,
                              DebugType type,
                              boolean isGlobal,
                              long address)

Description copied from interface: `IDebugEntryRequestor`
Enter a function.

Specified by:
  `enterFunction` in interface `IDebugEntryRequestor`
Parameters:
  `name` - of the function/method
  `type` - type of the return value.
  `isGlobal` - return the visiblity of the function.
  `address` - the start address of the function.

#### exitFunction

    public void exitFunction(long address)

Description copied from interface: `IDebugEntryRequestor`
Exit the current function.

Specified by:
  `exitFunction` in interface `IDebugEntryRequestor`
Parameters:
  `address` - the address where the function ends.

#### enterCodeBlock

    public void enterCodeBlock(long offset)

Description copied from interface: `IDebugEntryRequestor`
Enter a code block in a function.

Specified by:
  `enterCodeBlock` in interface `IDebugEntryRequestor`
Parameters:
  `offset` - address of the block starts relative to the current function.

#### exitCodeBlock

    public void exitCodeBlock(long offset)

Description copied from interface: `IDebugEntryRequestor`
Exit of the current code block.

Specified by:
  `exitCodeBlock` in interface `IDebugEntryRequestor`
Parameters:
  `offset` - the address of which the blocks ends relative to the current function.

#### acceptStatement

    public void acceptStatement(int line,
                                long address)

Description copied from interface: `IDebugEntryRequestor`
Statement in the compilation unit with a given address.

Specified by:
  `acceptStatement` in interface `IDebugEntryRequestor`
Parameters:
  `line` - lineno of the statement relative to the current compilation unit.
  `address` - address of the statement relative to the current function.

#### acceptIntegerConst

    public void acceptIntegerConst(String name,
                                   int value)

Description copied from interface: `IDebugEntryRequestor`
Integer constant.

Specified by:
  `acceptIntegerConst` in interface `IDebugEntryRequestor`

#### acceptFloatConst

    public void acceptFloatConst(String name,
                                 double value)

Description copied from interface: `IDebugEntryRequestor`
floating point constant.

Specified by:
  `acceptFloatConst` in interface `IDebugEntryRequestor`

#### acceptTypeConst

    public void acceptTypeConst(String name,
                                DebugType type,
                                int value)

Description copied from interface: `IDebugEntryRequestor`
Type constant: "const b = 0", b is a type enum.

Specified by:
  `acceptTypeConst` in interface `IDebugEntryRequestor`

#### acceptParameter

    public void acceptParameter(String name,
                                DebugType type,
                                DebugParameterKind kind,
                                long offset)

Description copied from interface: `IDebugEntryRequestor`
Accept a parameter for the current function.

Specified by:
  `acceptParameter` in interface `IDebugEntryRequestor`
Parameters:
  `name` - of the parameter
  `type` - of the parameter
  `kind` - of the parameter
  `offset` - address of the parameter relative to the current function.

#### acceptVariable

    public void acceptVariable(String name,
                               DebugType type,
                               DebugVariableKind kind,
                               long address)

Description copied from interface: `IDebugEntryRequestor`
Record a variable.

Specified by:
  `acceptVariable` in interface `IDebugEntryRequestor`

#### acceptCaughtException

    public void acceptCaughtException(String name,
                                      DebugType type,
                                      long address)

Description copied from interface: `IDebugEntryRequestor`
Caught Exception.

Specified by:
  `acceptCaughtException` in interface `IDebugEntryRequestor`

#### acceptTypeDef

    public void acceptTypeDef(String name,
                              DebugType type)

Description copied from interface: `IDebugEntryRequestor`
Type definition. IDebugEntryRequestor

Specified by:
  `acceptTypeDef` in interface `IDebugEntryRequestor`
Parameters:
  `name` - new name